%global debug_package %{nil} 
#%if 0%{?fedora}
# depends on twill which only works with python2.
%global with_python3 0
#%endif

%{!?_licensedir: %global license %%doc}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname flask-testing
%global sum     Unit testing for Flask

Name:               python-flask-testing
Version:            0.5.0
Release:            1%{?dist}
Summary:            %{sum}

License:            BSD
URL:                http://pypi.python.org/pypi/flask-testing
Source0:            https://pypi.python.org/packages/2e/1e/63bb840ed2c1bffc1c3ba2541a63dcf4538b2cf6e2801ea80057cb0737ef/Flask-Testing-%{version}.tar.gz

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-twill
BuildRequires:      python-blinker
BuildRequires:      python-flask

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-twill
BuildRequires:      python3-flask
%endif

%description
Flask-Testing -------------

Flask unittest integration.

%package -n python2-%{modname}
Summary:            Unit testing for Flask
Requires:           python2-twill
Requires:           python-blinker
Requires:           python-flask
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
Flask-Testing -------------


%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:            Unit testing for Flask
Requires:           python3-twill
Requires:           python3-flask
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Flask-Testing -------------
%endif


%prep
%autosetup -n Flask-Testing-%{version}
sed -i 's/twill==0.9.1/twill>=0.9.1/' setup.py

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-%{modname}
%doc README
%license LICENSE
%{python2_sitelib}/flask_testing
%{python2_sitelib}/Flask_Testing-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README
%license LICENSE
%{python3_sitelib}/flask_testing/
%{python3_sitelib}/Flask_Testing-%{version}*
%endif

%changelog
* Tue Jul 26 2016 Ricky Elrod <relrod@redhat.com> 0.5.0-1
- initial package for Fedora
